import { styled } from '@nuskin/foundation-theme';
import { AccordionVariant, AccordionVariantType } from '../';

const border = '1px solid rgb(0,0,0,0.125)';

type StyledType = { variant: AccordionVariantType };

export const StyledToggleSection = styled('section')<StyledType>(({ variant }) => {
    if (variant === AccordionVariant.Compact) {
        return { borderRight: border };
    }
    return {
        margin: '5px 0',
    };
});

export const StyledAccordionWrapper = styled('div')<StyledType>(({ variant }) => {
    if (variant === AccordionVariant.Compact) {
        return {
            display: 'flex',
            flexDirection: 'column',
            gap: '0',
            borderTop: border,
            borderLeft: border,
        };
    }
    return {
        display: 'flex',
        flexDirection: 'column',
        gap: '10px',
    };
});
