import React, { PropsWithChildren, useCallback } from 'react';

import NSLogoHorizontal from './icons/NSLogoHorizontal';
import NSLogoMark from './icons/NSLogoMark';
import NSLogoPoweredBy from './icons/NSLogoPoweredBy';
import NSLogoStacked from './icons/NSLogoStacked';
import NSLogoWordMark from './icons/NSWordMark';
import LogoContainer from './NsBrandContainer.styled';

import { NsBrandComponentProps } from './types.d';

const VariantMap = {
    stacked: NSLogoStacked,
    horizontal: NSLogoHorizontal,
    wordmark: NSLogoWordMark,
    logomark: NSLogoMark,
    poweredBy: NSLogoPoweredBy,
};

const NsBrandComponent = (props: PropsWithChildren<NsBrandComponentProps>) => {
    const { variant = 'stacked', size = '108px', color = 'primary' } = props;
    const renderBrand = useCallback(() => {
        const BrandComponent = VariantMap[variant];
        // [Todo - Add neutral as FoundationTheme.PaletteColor]
        return <BrandComponent color={color as any} />;
    }, [color, variant]);
    return <LogoContainer size={size}>{renderBrand()}</LogoContainer>;
};

export default NsBrandComponent;
