type ContainedParams = {
    backgroundColor: string;
    textColor: string;
    hovered: string;
    pressed: string;
    focused: string;
};

export function generateContainedStyle({
    backgroundColor,
    textColor,
    hovered,
    pressed,
    focused,
}: ContainedParams): string {
    return `
		background-color: ${backgroundColor};
		color: ${textColor} !important;
		&:hover {
			background-color: ${hovered};
		}
		&:active {
			background-color: ${pressed};
		}
		&:focus {
			background-color: ${focused};
		}
	`;
}
type OutlinedParams = {
    borderColor: string;
    hovered: string;
    pressed: string;
    activeColor: string;
};
export function generateOutlinedStyle({ borderColor, hovered, pressed, activeColor }: OutlinedParams) {
    return `
		border-color: ${borderColor};
		color: ${borderColor};
		&:hover {
				border-color: ${hovered};
				color: ${borderColor};
		}
		&:active {
				border-color: ${pressed};
				color: ${activeColor};
		}
`;
}

type TextParams = {
    underlineColor: string;
    hovered: string;
    pressed: string;
};

export function generateTextStyles({ underlineColor, hovered, pressed }: TextParams): string {
    return `
    text-decoration: underline 1px !important;
    text-underline-offset: 4px;
    padding: 0;
    min-width: auto;
    background-color: transparent !important;
    text-decoration-color: ${underlineColor};
    color: ${underlineColor};
    &:hover {
      color: ${hovered};
      text-decoration-color: ${hovered};
    }
    &:active {
      color: ${underlineColor};
      text-decoration-color: ${pressed};
    }
  `;
}

export function generateIconOnlyStyles() {
    return `
			padding: 10px;
	    min-width: unset;
    `;
}
