import React from 'react';
import { render, screen } from '@testing-library/react';
import NsAwardCard from '../NsAwardCard';

describe('NsHeroCardLevel1 component', () => {
    const props = {
        title: 'AgeLoc LumiSpa iO',
        awardName: '2023 Bronze Winner',
        mediaOutlet: 'Edison Awards',
        backgroundImageUrl: 'https://media.nuskin.com/m/2ec571a87dc9680c/Small-Edison-Bronze-Logo-Homepage.jpg',
        backgroundImageAlt: 'Edison Bronze Logo',
    };

    it('1. renders with correct content and styles', () => {
        render(<NsAwardCard {...props} />);

        const awardCard = screen.getByTestId('award-card');
        expect(awardCard).toBeInTheDocument();

        const title = screen.queryByText('AgeLoc LumiSpa iO');
        expect(title).toBeInTheDocument();

        const awardName = screen.queryByText('2023 Bronze Winner');
        expect(awardName).toBeInTheDocument();

        const mediaOutlet = screen.queryByText('Edison Awards');
        expect(mediaOutlet).toBeInTheDocument();
    });
});
