import React from 'react';
import { render, screen } from '@testing-library/react';
import { NsIconText } from '../';

describe('NsIconText component', () => {
    const props = {
        text: 'Lorem ipsum',
        body: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Natoque lacus, in amet nunc. ',
    };

    it('1. renders with correct content and styles', () => {
        render(<NsIconText {...props} />);

        const cardContainer = screen.getByTestId('icon-text-card');
        expect(cardContainer).toBeInTheDocument();

        const textContent = screen.getByText('Lorem ipsum');
        expect(textContent).toBeInTheDocument();

        const bodyContent = screen.getByText(
            'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Natoque lacus, in amet nunc.'
        );
        expect(bodyContent).toBeInTheDocument();
    });
});
