/**
 * NsScrollingText.stories.tsx
 * @description NsScrollingText component.
 */

import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsScrollingCarousal, NsTextStrip } from '@/common/';

type ComponentType = typeof NsScrollingCarousal;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export const renderSlide = (slide: any, i: number) => <NsTextStrip key={i} {...slide} />;

export const slides = [
    {
        text: 'Hello Nike App',
        description: 'Download the app to access everything Nike',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Get Your Great' },
        alignment: 'center',
    },
    {
        text: 'New Styles on Sale: Up to 40% Off',
        // description: 'Download the app to access everything Nike',
        link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'Shop All Our New Markdowns' },
        alignment: 'center',
    },
    {
        text: 'Free Delivery',
        // description: 'Applies to orders of ₹ 14 000.00 or more. ',
        // link: { href: 'https://www.nike.com/in/help/a/shipping-delivery-gs', title: 'View Details' },
        alignment: 'center',
    },
];
export default {
    title: 'Components/Containers/NsCarousal/NsScrollingCarousal',
    component: NsScrollingCarousal,
    decorators: [withCenterDecorator],
    argTypes: {},
    args: {
        slides,
        renderSlide,
        stillSeconds: 3,
        scrollSeconds: 1,
        additionalProps: {
            testid: 'scrolling-carousal',
        },
    },
} as MetaStory;

export const ScrollingText: Story = {};
