import { useMemo } from 'react';
import { getColumnSizes } from './utils';
import { StyledGrid } from './styled/StyledGrid';
import { NsGridColumnsProps } from './types';

const NsGridColumns = ({ columnClass, children, gap, isFullWidth, additionalProps }: NsGridColumnsProps) => {
    const sizes = useMemo(() => {
        return getColumnSizes(columnClass ?? 'ns-col-lg-1-1');
    }, [columnClass]);
    return (
        <StyledGrid
            isFullWidth={isFullWidth || false}
            gap={gap}
            sizes={sizes}
            className="ns-grid-columns"
            data-testid={additionalProps?.testid ?? 'ns-grid-columns'}
        >
            {children}
        </StyledGrid>
    );
};
export default NsGridColumns;
