import { renderHook, act } from '@testing-library/react-hooks';
import useWindowSize from '../useWindowSize';

describe('useWindowSize', () => {
    it('should return the window size', () => {
        const { result } = renderHook(useWindowSize);
        expect(result.current).toEqual({ width: window.innerWidth, height: window.innerHeight });
    });

    it('should update the window size when the window is resized', () => {
        const { result } = renderHook(() => useWindowSize());
        act(() => {
            window.innerWidth = 500;
            window.innerHeight = 500;
            window.dispatchEvent(new Event('resize'));
        });
        expect(result.current).toEqual({ width: 500, height: 500 });
    });
});
