import { PaletteColors } from '@nuskin/foundation-theme';

import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsIcon, NsIconVariants } from './';

type ComponentType = typeof NsIcon;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Icons/NsIcon',
    component: NsIcon,
    decorators: [withCenterDecorator],
    argTypes: {
        size: { control: 'select', options: ['small', 'medium', 'large', 'xLarge'] },
        name: {
            control: 'select',
            options: Object.keys(NsIconVariants),
        },
        color: {
            control: 'select',
            options: PaletteColors,
        },
        colorOverride: {
            control: 'color',
        },
        cursor: {
            control: 'select',
            options: [
                'auto',
                'default',
                'none',
                'context-menu',
                'help',
                'pointer',
                'progress',
                'wait',
                'cell',
                'crosshair',
                'text',
                'vertical-text',
                'alias',
                'copy',
                'move',
                'no-drop',
                'not-allowed',
                'grab',
                'grabbing',
                'e-resize',
                'n-resize',
                'ne-resize',
                'nw-resize',
                's-resize',
                'se-resize',
                'sw-resize',
                'w-resize',
                'ew-resize',
                'ns-resize',
                'nesw-resize',
                'nwse-resize',
                'col-resize',
                'row-resize',
                'all-scroll',
                'zoom-in',
                'zoom-out',
            ],
        },
    },
    args: {
        size: 'large',
        name: 'checkShield',
        color: 'success',
    },
} as MetaStory;

export const Icon: Story = {};
