import { SvgIcon, SvgIconProps } from '@mui/material';

const ArrowLeft = (props: SvgIconProps) => {
    return (
        <SvgIcon
            data-testid="arrowLeft"
            viewBox="0 0 24 24"
            preserveAspectRatio="xMidYMid meet"
            focusable="false"
            style={{ pointerEvents: 'none', display: 'block' }}
            {...props}
        >
            <g
                id="icon-narrow-angle-left-24"
                stroke={props.color}
                strokeWidth="1"
                fill="none"
                fillRule="evenodd"
                strokeLinecap="round"
                strokeLinejoin="round"
            >
                <g transform="translate(-196, -226)" stroke={props.color}>
                    <polyline
                        // eslint-disable-next-line max-len
                        transform="translate(209.000000, 237.500000) scale(-1.2, 1.2) rotate(90.000000) translate(-209.000000, -237.500000)"
                        points="200 242 209 233 218 242"
                    ></polyline>
                </g>
            </g>
        </SvgIcon>
    );
};
export default ArrowLeft;
