import { NsNextImage } from '.';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import type { StoryObj, Meta } from '@storybook/react';

type ComponentType = typeof NsNextImage;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/NsNextImage',
    component: NsNextImage,
    decorators: [withCenterDecorator],
} as MetaStory;

export const BrandImage: Story = {
    args: {
        src: 'https://media.nuskin.com/m/42911c8b05600476/webimage-brand-ageloc-optweb.png',
        width: 300,
        height: 300,
        unoptimized: true,
    },
};
export const NavigationImage: Story = {
    args: {
        src: 'https://www.nuskin.com/content/dam/global/library/aug2022/01130171-lumispa-io-norm-combo.jpg',
        width: 200,
        height: 200,
        alt: 'lumispa-combo',
        unoptimized: true,
    },
};

export const NavigationBannerImage: Story = {
    args: {
        src: 'https://www.nuskin.com/content/dam/global/library/feb2020/Navigation-images-Skin-Carev2.jpg',
        width: 340,
        height: 610,
        alt: 'lumispa-combo',
        unoptimized: true,
    },
};

export const AwardImage: Story = {
    args: {
        src: 'https://media.nuskin.com/m/5a9a99eccfde58c6/webimage-winner-global-makeup-awards-2022.png',
        width: 130,
        height: 130,
        alt: 'global-makeup-award',
        unoptimized: true,
    },
};
