import { FoundationTheme } from '@nuskin/foundation-theme';
import { ReactNode } from 'react';

export interface SelectProps {
    selected: LabelValueType;
    onSelect(arg: LabelValueType): void; // eslint-disable-line
    children?: ReactNode | null;
    disabled?: boolean;
    type?: 'outlined' | 'unfilled';
    placeholder?: string;
    selectBorderColor?: FoundationTheme.PaletteColors;
    closeOnMouseLeave?: boolean;
    showListDivider?: boolean;
    label?: string;
    readOnly?: boolean;
    name?: string;
    errorMessage?: string;
    menuProps?: string | object;
    reverseArrowControls?: boolean;
    validateOnBlur?: boolean;
    autoComplete?: string;
    // eslint-disable-next-line no-undef
    rules?: Array;
    hasArrows?: boolean;
    options: LabelValueType[];
    RenderOption?(x: any): any; // eslint-disable-line
}

export interface SelectOptionProps {
    value: string;
    label: string;
    selected?: LabelValueType;
    index: number;
    onClick: () => void;
    showListDivider?: boolean;
}

export type LabelValueType = {
    label: string;
    value: string;
    id?: string;
    index?: number;
};

export type RenderSelectOptionArgType = LabelValueType & {
    onClick(): void;
    showListDivider: boolean;
    selected: LabelValueType;
};
