import type { Meta, StoryObj } from '@storybook/react';
import NsSpinner from './NsSpinner';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';

type ComponentType = typeof NsSpinner;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Feedback/NsSpinner',
    component: NsSpinner,
    decorators: [
        (Story) => (
            <div className="flex place-content-center">
                <Story />
            </div>
        ),
        withCenterDecorator,
    ],
    argTypes: {},
    args: {
        size: 200,
    },
} as MetaStory;

export const Spinner: Story = {};
