/* eslint-disable no-unused-vars */
import { React } from 'React'

export interface Header {
    label: string;
    id: string | number;
    numeric: boolean;
    sortable?: boolean;
}

export interface Item {
    [key: string]: string | number;
}
  
export interface NsTableProps {
    headers: Header[];
    items: Item[];
    rows: number;
    itemKey: string;
    rowsPerPageOptions: number[];
    isExpandableAll?: boolean;
    showActions?: boolean;
    showExpandedContent?: boolean;
    loading?: boolean;
    expandableContent: (selectedItem: Item, index: number) => React.ReactNode;
    actionClick: (item: Item) => React.ReactNode;
}

export type OrderType = 'asc' | 'desc';

export interface NsTableHeaderProps {
    onRequestSort: (event: React.MouseEvent<unknown>, property: keyof Item) => void;
    order: OrderType;
    orderBy: string;
    rowCount: number;
    headCells: readonly Header[];
}

export interface NsTablePaginationProps {
    rowsPerPageOptions: number[],
    count: number;
    rowsPerPage: number;
    page: number,
    onPageChange: (number) => void;
}

export interface NsTableRowProps {
    expandableContent: (selectedItem: Item, index: number) => React.ReactNode;
    isExpand: boolean;
    handleClick: (index: number) => void;
    row: Item;
    index: number;
    itemKeyList: string[];
    showActions: boolean;
    showExpandedContent: boolean;
    actionClick: (item: Item) => React.ReactNode;
}
